Bug 1412470 - Keyboard hang after migration with kernel-irqchip=split
Summary: Keyboard hang after migration with kernel-irqchip=split
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Xu
QA Contact: xianwang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 06:25 UTC by Peter Xu
Modified: 2017-08-02 03:17 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 23:42:15 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Peter Xu 2017-01-12 06:25:55 UTC
Description of problem:

When VM is setup with split kernel irqchip, keyboard will stop responding after migration.

Version-Release number of selected component (if applicable):

All versions until now, as long as with kernel-irqchip=split parameter.

How reproducible:

100%

Steps to Reproduce:

1. Start VM1 with parameter:

$qemu -M q35,kernel-irqchip=split -enable-kvm \
      -netdev user,id=net0 \
      -device e1000,netdev=net0 \
      -m 512M -monitor stdio \
      /var/lib/libvirt/images/vm1.qcow2

   wait until it boots up.

2. Start destination VM2 (suppose locally):

$qemu -M q35,kernel-irqchip=split -enable-kvm \
      -netdev user,id=net0 \
      -device e1000,netdev=net0 \
      -m 512M -monitor stdio \
      -incoming tcp:0:6666 \
      /var/lib/libvirt/images/vm1.qcow2

3. migrate VM1 -> VM2 by running HMP command on VM1:

(qemu) migrate tcp:0:6666

Actual results:

After migration finish, keyboard will stop working on VM2, and all ioapic interrupts are lost on VM2.

Expected results:

After migration finish, keyboard should not stop working.

Comment 3 yilzhang 2017-05-11 10:09:39 UTC
This bug has been verified on x86 platform.

Bug reproduced in x86 platform:
Version-Release number of selected component (if applicable):
Host:
kernel: 3.10.0-632.el7.x86_64
qemu-kvm-rhev-2.8.0-6.el7.x86_64
Guest:
3.10.0-632.el7.x86_64

Steps to Reproduce:
The same with bug reported(by Peter)

Actual results:
The same with bug reported (After migration finish, keyboard stops working on VM2, and all ioapic interrupts are lost on VM2) 

======================Bug verify in x86 platform======================
Bug is verified in following version:
Host:
kernel: 3.10.0-663.el7.x86_64
qemu-kvm-rhev-2.9.0-3.el7.x86_64
Guest:
3.10.0-663.el7.x86_64

steps:
the same as bug reproduced.

Actual results:
Migration successed and the VM2 runs well
In dst HMP:
(qemu) info status
VM status: running
In destination VM2, keyboard works well

So, this bug is fixed.

Comment 5 errata-xmlrpc 2017-08-01 23:42:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 6 errata-xmlrpc 2017-08-02 01:19:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 7 errata-xmlrpc 2017-08-02 02:11:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 02:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 03:17:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.